GTA-Expert Forum: .NET Script Hook 1.7.1.7b (.net/.dll) - GTA-Expert Forum

Salta al contenuto

  • (4 Pagine)
  • +
  • 1
  • 2
  • 3
  • 4
  • Non puoi iniziare una nuova discussione
  • Non puoi rispondere a questa discussione

.NET Script Hook 1.7.1.7b (.net/.dll) Compatibilit: IV fino a v1.0.7.0. + EFLC fino a v1.1.2.0.

#41 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 19 febbraio 2012 - 18:56

Posta i log
0

#42 L'utente  offline   aiuto 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 123
  • Iscritto il: 17/01/12
  • GTA Preferito:GTA IV

Inviato il 20 febbraio 2012 - 12:28

Visualizza MessaggiFabio206, il 19 febbraio 2012 - 18:56 ha detto:

Posta i log


lol...quale log dovrei postare se ti ho detto che ScriptHookDotNet.log NON appare xD.
A meno che tu non intenda l'asilog?
che sarebbe questo :

// -- GTA IV ASI LOADER LOG -- //
//-- © Alexander Blade 2008 -- //
C:\Windows\system32\dsound.dll is loaded, address 0x714F0000
Hooking dsound proc named "DirectSoundCreate"
"DirectSoundCreate" hooked, address 0x714F7E3D
Hooking dsound proc named "DirectSoundEnumerateA"
"DirectSoundEnumerateA" hooked, address 0x7153D993
Hooking dsound proc named "DirectSoundEnumerateW"
"DirectSoundEnumerateW" hooked, address 0x7153D9B0
Hooking dsound proc named "DllCanUnloadNow"
"DllCanUnloadNow" hooked, address 0x715241BB
Hooking dsound proc named "DllGetClassObject"
"DllGetClassObject" hooked, address 0x714F7792
Hooking dsound proc named "DirectSoundCaptureCreate"
"DirectSoundCaptureCreate" hooked, address 0x7153D2C5
Hooking dsound proc named "DirectSoundCaptureEnumerateA"
"DirectSoundCaptureEnumerateA" hooked, address 0x7153D9CD
Hooking dsound proc named "DirectSoundCaptureEnumerateW"
"DirectSoundCaptureEnumerateW" hooked, address 0x7153D9EA
Hooking dsound proc named "GetDeviceID"
"GetDeviceID" hooked, address 0x7153D160
Hooking dsound proc named "DirectSoundFullDuplexCreate"
"DirectSoundFullDuplexCreate" hooked, address 0x7153D429
Hooking dsound proc named "DirectSoundCreate8"
"DirectSoundCreate8" hooked, address 0x7152DE69
Hooking dsound proc named "DirectSoundCaptureCreate8"
"DirectSoundCaptureCreate8" hooked, address 0x7153D371
Loading ASI C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\Nitro.asi
ASI loaded : C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\Nitro.asi, Address 0x6B1A0000
Loading ASI C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\ScriptHookDotNet.asi
ASI loaded : C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\ScriptHookDotNet.asi, Address 0x00000000
Loading ASI C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\SuperMan.asi
ASI loaded : C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\SuperMan.asi, Address 0x6B470000
Loading ASI C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\Trainer.asi
ASI loaded : C:\Program Files (x86)\Rockstar Games\Grand Theft Auto IV\Trainer.asi, Address 0x69050000

come vedi presente lo scripthookdotnet.

Messaggio modificato da aiuto il 20 febbraio 2012 - 12:33

Firma non a norma. Codice originale:
[right][b][u]Neanche questa funzione va D:[/u][/b][/right] 	[img]http://i35.tinypic.com/i3e348.jpg[/img]
0

#43 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 20 febbraio 2012 - 13:13

Quote

ScriptHookDotNet.asi, Address 0x00000000


Non lo carica
Posta lo scripthook.log.
0

#44 L'utente  offline   aiuto 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 123
  • Iscritto il: 17/01/12
  • GTA Preferito:GTA IV

Inviato il 20 febbraio 2012 - 13:44

Visualizza MessaggiFabio206, il 20 febbraio 2012 - 13:13 ha detto:

Quote

ScriptHookDotNet.asi, Address 0x00000000


Non lo carica
Posta lo scripthook.log.



eccolo D:


Log start: Mon Feb 20 12:53:18 2012
-----------------------------------------------
[INFO] GTA IV Script Hook 0.5.1 - © 2009, Aru - Initialized
[INFO] Process base address: 0xfa0000
[INFO] Auto detecting game version
[INFO] Using game version 1.0.7
[INFO] [Nitro] Thread started
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[INFO] [SimpleTrainer] Thread killed
[INFO] [SuperMan] Thread killed
[INFO] [Nitro] Thread killed
[INFO] [Nitro] Thread started
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[FATAL] [Nitro] Reset() called from non-primary fiber
[INFO] [Nitro] Thread started
[FATAL] [SuperMan] Reset() called from non-primary fiber
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[INFO] [SimpleTrainer] Thread killed
[INFO] [SuperMan] Thread killed
[INFO] [Nitro] Thread killed
[INFO] [Nitro] Thread started
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[INFO] [SimpleTrainer] Thread killed
[INFO] [SuperMan] Thread killed
[INFO] [Nitro] Thread killed
[INFO] [Nitro] Thread started
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[FATAL] [Nitro] Reset() called from non-primary fiber
[INFO] [Nitro] Thread started
[FATAL] [SuperMan] Reset() called from non-primary fiber
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[INFO] [SimpleTrainer] Thread killed
[INFO] [SuperMan] Thread killed
[INFO] [Nitro] Thread killed
[INFO] [Nitro] Thread started
[INFO] [SuperMan] Thread started
[INFO] [SimpleTrainer] Thread started
[INFO] [SimpleTrainer] Thread killed
[INFO] [SuperMan] Thread killed
[INFO] [Nitro] Thread killed
Firma non a norma. Codice originale:
[right][b][u]Neanche questa funzione va D:[/u][/b][/right] 	[img]http://i35.tinypic.com/i3e348.jpg[/img]
0

#45 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 22 febbraio 2012 - 14:57

Allora per capirci dovresti specificare qualce scripts in .net/.dll intendi usare e con quale versione del .NET scripthook
0

#46 L'utente  offline   Lorenzo3024 

  • Criminale
  • Gruppo: Utenti
  • Messaggi: 888
  • Iscritto il: 17/10/10
  • Gamertag:Lorenzo3024it
  • GTA Preferito:GTA V

Inviato il 29 febbraio 2012 - 18:15

per chi ancora avesse problemi con il .Net scripthook, ovvero che non crea il log. assicuratevi di aver installato il Microsoft Visual C++ 2010, perch anch'io avevo questo problema e con il microsoft c++ 2010 ho risolto.
Il mio NUOVO canale Youtube: https://www.youtube....ser/Lorenzo3024
Il mio VECCHIO canale Youtube: https://www.youtube....r/Lorenzo3024it
Il mio PC attuale: Asus X556UA con processore Intel Core i7-6500U fino a 3.1GHZ, RAM 12GB, scheda video NVidia Geforce GT 940M da 2GB. Sistema Operativo: Windows 10 Home a 64 Bit.[/center]
GTA Vice City Completato al 100%
GTA San Andreas Completato al 100%
GTA IV Completato al 100%
GTA TLaD Completato al 100%
GTA TBoGT Completato al 100%
GTA V Completato al 78%
0

#47 L'utente  offline   amdfx 

  • Cittadino Onesto
  • Gruppo: Utenti
  • Messaggi: 16
  • Iscritto il: 13/08/12
  • GTA Preferito:GTA: Vice City

Inviato il 13 agosto 2012 - 14:31

A me funziona tutto ma lo spoiler dell'aventador si alza solo tramite trainer. Che tasto dovrei usare? La LP640 invece va in automatico ma non riesco a farlo funzionare manualmente

Messaggio modificato da amdfx il 13 agosto 2012 - 20:42

AMD PHENOM II 965-8 GB RAM CORSAIR 1600 MHZ-HAF 932 ADVANCED-AMD 6850 SAPPHIRE 1 GB GDDR5
0

#48 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 04 aprile 2013 - 17:47

io vorrei avere solo un chiarimento. allora volevo installare questa mod http://download.gta-...er-mod-net.html ma mi dice che per installarla devo avere l'asi loader (che ho gi) e net scripthook che ho scaricato da qui http://download.gta-...cripts-net.html . per appena apro la cartella con winrar quale file ScriptHookDotNet.asi e quale cartella scripts devo prendere visto che ho la versione 1.0.0.4. di gta 4? le cartelle sono v 0.860; v 0.890; v.0891; v 0.892 ; v 0.893.
Immagine Postata
0

#49 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 04 aprile 2013 - 21:24

Alcune versioni andavano bene per diverse patch, prova con la 0.893, se non funziona posta i log
0

#50 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 05 aprile 2013 - 16:06

Visualizza MessaggiFabio206, il 04 aprile 2013 - 21:24 ha detto:

Alcune versioni andavano bene per diverse patch, prova con la 0.893, se non funziona posta i log


ho provato la 0.893 ed è come se non ho installato nulla, ossia lo script del treno che volevo installare è come se non c'è ed è tutto normale. inoltre cosa è il log e come si posta? ho visto nella directory di gta 4 e nel documento di testo ScriptHookDotNet c'è scritto questo :



2013-04-05 16:57:41 - Initializing ScriptHookDotNet v0.893 BETA (GTA IV version 1.0.0.4)
2013-04-05 16:57:41 - WARNING: GTA IV version 1.0.0.4 is not supported! Please install GTA IV patch 1.0.4.0!


questo mi fa intendere che forse la mia patch attuale (1.0.0.4.) non è compatibile con NetScriptHook e devo per forza installare la patch 1.0.4.0. giusto? oppure dovrei provare un altra cartella come la 0.892 ; 0.891 ; 0.890 o 0.860?

Messaggio modificato da George 12 il 05 aprile 2013 - 16:15

Immagine Postata
0

#51 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 05 aprile 2013 - 16:29

Esattamente, prova a mettere il .net dal pi recente al pi vecchio finch non funziona ;)
0

#52 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 05 aprile 2013 - 16:39

Visualizza MessaggiFabio206, il 05 aprile 2013 - 16:29 ha detto:

Esattamente, prova a mettere il .net dal pi recente al pi vecchio finch non funziona ;)


la cartella scripts non serve che la cancello? devo cancellare anche il documento di testo ScriptHookDotNet? e comunque c' anche una altra cartella nel file di winrar che sarebbe v 1.7.1.4. Beta (patch 1.0.7.0. & 1.0.6.0.) che contiene anche essa la cartella scripts e il file ScriptsHookDotNet.asi ; poi anche appena apro il file winrar ci sono i readme in italiano e inglese, la cartella versioni precedenti (vecchie patch), un altra cartella scripts e un altro file ScriptHookDotNet.asi
Immagine Postata
0

#53 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 05 aprile 2013 - 19:49

comunque credo di aver risolto, ho preso solo i files che stavano nella cartella di winrar non quelli nelle altre cartelle. grazie a tutti
Immagine Postata
0

#54 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 05 aprile 2013 - 19:57

Mi sa che non chiara una cosa: il .NET Scripthook formato dalla cartella scripts e dal file ScriptHookDotNet.asi.
Il file ScriptHookDotNet.asi va a cercare nella cartella scripts la presenza di eventuali script presenti appunto
Quello che cambia tra le varie versioni solo il file .asi

1.7.1.7:
ScriptHookDotNet.asi
cartella scripts
[ENG] Original Readme.txt
[ITA] Leggimi_Istruzioni.htm

Dentro la cartella vecchie versioni trovi appunto le vecchie versioni
Dalla pi nuova alla pi vecchia:
v 1.7.1.4 Beta (patch 1.0.7.0. & 1.0.6.0.)
v 0.893
v 0.892
v 0.891
v 0.890
v 0.860


Se non hai usato le cartelle vecchie hai inserito i file della 1.7.1.7
Oppure ho capito male io
0

#55 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 05 aprile 2013 - 21:58

Visualizza MessaggiFabio206, il 05 aprile 2013 - 19:57 ha detto:

Mi sa che non è chiara una cosa: il .NET Scripthook è formato dalla cartella scripts e dal file ScriptHookDotNet.asi.
Il file ScriptHookDotNet.asi va a cercare nella cartella scripts la presenza di eventuali script presenti appunto
Quello che cambia tra le varie versioni è solo il file .asi

1.7.1.7:
ScriptHookDotNet.asi
cartella scripts
[ENG] Original Readme.txt
[ITA] Leggimi_Istruzioni.htm

Dentro la cartella vecchie versioni trovi appunto le vecchie versioni
Dalla più nuova alla più vecchia:
v 1.7.1.4 Beta (patch 1.0.7.0. & 1.0.6.0.)
v 0.893
v 0.892
v 0.891
v 0.890
v 0.860


Se non hai usato le cartelle vecchie hai inserito i file della 1.7.1.7
Oppure ho capito male io


e io ho preso direttamente la cartella scripts e il file ScriptHookDotNet.asi che hai citato ma non quelli contenuti nelle cartelle delle precedenti versioni e nemmeno quelli della cartella 1.0.7.0. & 1.0.6.0. beta. comunque lo script funziona bene quindi credo sia risolto.

Messaggio modificato da George 12 il 05 aprile 2013 - 22:01

Immagine Postata
0

#56 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 06 aprile 2013 - 02:21

Quindi hai inserito la 1.7.1.7.

Forse non mi era chiaro ciò che avevi chiesto all'inizio, pensavo avessi già provato i file della 1.7.1.7 (quelli che hai inserito ora) e volessi provare le vecchie versioni, ovvero:
v 1.7.1.4 Beta (patch 1.0.7.0. & 1.0.6.0.)
v 0.893
v 0.892
v 0.891
v 0.890
v 0.860

Forse ti ha confuso anche ciò che ho barrato nella lista
Rendervi le cose il più semplice possibile con tutte le patch uscite e con tutte le versioni dell'asi loader non è semplice purtroppo, soprattutto perchè alcuni scripts e alcuni loader funzionano su diverse patch, ma poi risultano incompatibili tra loro
0

#57 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 06 aprile 2013 - 15:09

Visualizza MessaggiFabio206, il 06 aprile 2013 - 02:21 ha detto:

Quindi hai inserito la 1.7.1.7.

Forse non mi era chiaro ci che avevi chiesto all'inizio, pensavo avessi gi provato i file della 1.7.1.7 (quelli che hai inserito ora) e volessi provare le vecchie versioni, ovvero:
v 1.7.1.4 Beta (patch 1.0.7.0. & 1.0.6.0.)
v 0.893
v 0.892
v 0.891
v 0.890
v 0.860

Forse ti ha confuso anche ci che ho barrato nella lista
Rendervi le cose il pi semplice possibile con tutte le patch uscite e con tutte le versioni dell'asi loader non semplice purtroppo, soprattutto perch alcuni scripts e alcuni loader funzionano su diverse patch, ma poi risultano incompatibili tra loro


infatti
Immagine Postata
0

#58 L'utente  offline   Fabio206 

  • Padrino
  • Gruppo: Admin
  • Messaggi: 72428
  • Iscritto il: 05/12/05
  • GTA Preferito:GTA III

Inviato il 07 aprile 2013 - 13:09

Ora un po' pi chiaro? :P
0

#59 L'utente  offline   George 12 

  • Cleptomane
  • Gruppo: Utenti
  • Messaggi: 135
  • Iscritto il: 01/01/13
  • Provenienza:Bari
  • GTA Preferito:GTA: San Andreas

Inviato il 07 aprile 2013 - 18:31

Visualizza MessaggiFabio206, il 07 aprile 2013 - 13:09 ha detto:

Ora un po' pi chiaro? :P


si, ma comunque tutto risolto, lo script funziona bene. grazie
Immagine Postata
0

#60 L'utente  offline   Alex106 

  • Assassino
  • Gruppo: Utenti
  • Messaggi: 3941
  • Iscritto il: 11/03/12
  • GTA Preferito:Sconosciuto

Inviato il 23 aprile 2013 - 21:36

Mi sapete dire che versione del Net Script Hook devo inserire sulla patch 1.0.4.0?
In vari topic mi è sembrato di leggere la v 0.892 o la v 0.893 però vorrei una conferma(non potendo provare perchè ora ho la patch 1.0.7.0 installata)
Scusate se chiedo qua,ma anche per il Mega Native Trainer sulla patch 1.0.4.0 ci vuole una versione più vecchia?

Messaggio modificato da Alex106 il 23 aprile 2013 - 21:43

0

  • (4 Pagine)
  • +
  • 1
  • 2
  • 3
  • 4
  • Non puoi iniziare una nuova discussione
  • Non puoi rispondere a questa discussione

1 utenti stanno leggendo questa discussione
0 utenti, 1 ospiti, 0 utenti anonimi